summaryrefslogtreecommitdiff
path: root/scripts/git-pull
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/git-pull')
-rwxr-xr-xscripts/git-pull7
1 files changed, 3 insertions, 4 deletions
diff --git a/scripts/git-pull b/scripts/git-pull
index 260c33b..449d6a8 100755
--- a/scripts/git-pull
+++ b/scripts/git-pull
@@ -1,7 +1,6 @@
-#!/bin/bash
+#!/bin/sh
if [ -z "$1" ]; then
- echo './scripts/git-pull $PEER_NAME'
+ echo "Usage: $0 \$PEER_NAME" >&2
exit 1
fi
-[ -e db/usr/"$1"/git ] && git pull `cat db/usr/"$1"/git` master
-[ -e db/usr/"$1"/git ] || echo "./git-pull: record does not exist for $1"
+[ -e db/usr/"$1"/git ] && git pull `cat db/usr/"$1"/git` master || echo "$0: record does not exist for $1" >&2